# -*- coding: UTF-8 -*-

# testowanie generatorow liczb pseudolosowych
# test PI
# www.algorytm.org

import random
import math


def monteCarloPi(n):
	isq = 0 #punkty w kwadracie 0<=x<=1, 0<=y<=1
	ic  = 0 #punkty w kole x^2 + y^2 <= 1 (r^2 = 1)
	while isq < n:
		x  = random.random() #rozklad jednostajny U(0,1)
		y  = random.random()
		if (x*x + y*y <= 1):
			ic += 1
		isq += 1
	return 4 * ic / isq



def main():
	n = int(input("Podaj liczbe punktow\n"))
	piMC = monteCarloPi(n)
	print("obliczona wartosc : {}".format(piMC))
	print("prawdziwa wartosc : {}".format(math.pi))
	print("roznica:            {}".format(piMC - math.pi))

if __name__ == "__main__":
	main()